$HTTP["host"] =~ "^files\.thirdculture\.top$" {
    auth.backend = "htpasswd"
    auth.backend.htpasswd.userfile = "/etc/lighttpd/.htpasswd"

    auth.require = ( "" =>
        (
            "method"  => "basic",
            "realm"   => "Password protected area",
            "require" => "valid-user"
        )
    )

    proxy.server = (
        "" => (
            (
                "host" => "gossa",
                "port" => 8001,
                "headers" => (
                    "Host" => "$HTTP_HOST",
                    "X-Forwarded-For" => "$REMOTE_ADDR"
                )
            )
        )
    )
}
